<!-- <block-ui message="Loading..."> </block-ui> -->
<div class="alert-wrapper">
    <app-alert [message]="message" [type]="type" id="alert"> </app-alert>
</div>
<h3 class="mb-3 mt-3" id="heading">
    Edit Patient
    <span *ngIf="patientName"> >> {{patientName}}</span>
</h3>
<div>
    <mat-tab-group color="warn" [(selectedIndex)]="appState.selectedTab" (selectedTabChange)="tabChanged($event)" class="c-tool-tab-group">
        <ng-container *ngFor="let tab of patientTabs">
            <mat-tab *appAccess="tab.moduleName; lookFor: _any" [label]="tab.title">
                <div *ngIf="tab.active">
                    <app-patient-tab-content [(patientTab)]="tab" [(patientId)]="patientId" [(active)]="tab.active">
                    </app-patient-tab-content>
                </div>
            </mat-tab>
        </ng-container>
    </mat-tab-group>
</div>
